Openembedded Core Discussions
 help / color / mirror / Atom feed
From: Richard Purdie <richard.purdie@linuxfoundation.org>
To: openembedded-core <openembedded-core@lists.openembedded.org>
Subject: [PATCH] runqemu: Add error handling for unexpected tap devices
Date: Sun, 09 Aug 2015 00:03:49 -0700	[thread overview]
Message-ID: <1439103829.30467.93.camel@linuxfoundation.org> (raw)

In theory the code reduces the tap device number to an integer. This
patch adds error checking to ensure that does happen and that the script
exits if something unexpected happens.

Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>

diff --git a/scripts/runqemu-internal b/scripts/runqemu-internal
index 03b40d8..0ace485 100755
--- a/scripts/runqemu-internal
+++ b/scripts/runqemu-internal
@@ -253,6 +253,14 @@ else
 
 
         n0=$(echo $TAP | sed 's/tap//')
+
+        case $n0 in
+            ''|*[!0-9]*)
+                echo "Error Couldn't turn $TAP into an interface number?"
+                exit 1
+                ;;
+        esac
+
         n1=$(($n0 * 2 + 1))
         n2=$(($n1 + 1))
 




             reply	other threads:[~2015-08-09  7:04 UTC|newest]

Thread overview: 3+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-08-09  7:03 Richard Purdie [this message]
2015-08-09  7:31 ` [PATCH] runqemu: Add error handling for unexpected tap devices Khem Raj
2015-08-09 15:21   ` Richard Purdie

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1439103829.30467.93.camel@linuxfoundation.org \
    --to=richard.purdie@linuxfoundation.org \
    --cc=openembedded-core@lists.openembedded.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox